JmolAppletInterface
Date: 2019-10-22

org.jmol.api

## Interface JmolAppletInterface

- All Superinterfaces:
    JmolSyncInterface
  All Known Implementing Classes:
    GenericApplet, Jmol, Jmol, JmolApplet

      public interface JmolAppletInterface
      extends JmolSyncInterface

  This is the API of methods that are available to JavaScript via LiveConnect to the Jmol applet. DONT FORGET TO ADD THESE FUNCTIONS TO src/JmolApplet.java !!!

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `java.lang.String` | `getAppletInfo()`
    `int` | `getModelIndexFromId(java.lang.String id)`
    `java.lang.Object` | `getProperty(java.lang.String infoType)`
    `java.lang.Object` | `getProperty(java.lang.String infoType, java.lang.String paramInfo)`
    `java.lang.String` | `getPropertyAsJSON(java.lang.String infoType)`
    `java.lang.String` | `getPropertyAsJSON(java.lang.String infoType, java.lang.String paramInfo)`
    `java.lang.String` | `getPropertyAsString(java.lang.String infoType)`
    `java.lang.String` | `getPropertyAsString(java.lang.String infoType, java.lang.String paramInfo)`
    `boolean` | `handleEvent(java.awt.Event event)`
    `java.lang.String` | `loadDOMNode(java.lang.Object DOMNode)`
    `java.lang.String` | `loadInline(java.lang.String strModel)` Deprecated.
    `java.lang.String` | `loadInline(java.lang.String[] strModels)` Deprecated.
    `java.lang.String` | `loadInline(java.lang.String[] strModels, java.lang.String script)` Deprecated.
    `java.lang.String` | `loadInline(java.lang.String strModel, java.lang.String script)` Deprecated.
    `java.lang.String` | `loadInlineArray(java.lang.String[] strModels, java.lang.String script, boolean isAppend)`
    `java.lang.String` | `loadInlineString(java.lang.String strModel, java.lang.String script, boolean isAppend)`
    `void` | `notifyAudioEnded(java.lang.Object htParams)`
    `void` | `script(java.lang.String script)`
    `java.lang.String` | `scriptCheck(java.lang.String script)`
    `java.lang.String` | `scriptNoWait(java.lang.String script)`
    `java.lang.String` | `scriptWait(java.lang.String script)`
    `java.lang.String` | `scriptWait(java.lang.String script, java.lang.String statusParams)`
    `java.lang.String` | `scriptWaitOutput(java.lang.String script)`
    `java.lang.Object` | `setStereoGraphics(boolean isStereo)`

    - ### Methods inherited from interface org.jmol.api.JmolSyncInterface

      `getJSpecViewProperty, register, syncScript`

- - ### Method Detail

    - #### handleEvent

          boolean handleEvent(java.awt.Event event)

    - #### getAppletInfo

          java.lang.String getAppletInfo()

    - #### destroy

          void destroy()

    - #### setStereoGraphics

          java.lang.Object setStereoGraphics(boolean isStereo)

    - #### script

          void script(java.lang.String script)

    - #### scriptCheck

          java.lang.String scriptCheck(java.lang.String script)

    - #### scriptWait

          java.lang.String scriptWait(java.lang.String script)

    - #### scriptWaitOutput

          java.lang.String scriptWaitOutput(java.lang.String script)

    - #### scriptWait

          java.lang.String scriptWait(java.lang.String script,
                                      java.lang.String statusParams)

    - #### scriptNoWait

          java.lang.String scriptNoWait(java.lang.String script)

    - #### getModelIndexFromId

          int getModelIndexFromId(java.lang.String id)

      Parameters:
        `id` - some_id, filename#id, or ~fileNo.modelNo added ".basemodel" indicates to get the first model in a series from a JDX-MOL file.
      Returns:
        model index if found; -2 if file found but model not found -2 if no file indicated and no model found -1 if no such file

    - #### getProperty

          java.lang.Object getProperty(java.lang.String infoType)

    - #### getPropertyAsString

          java.lang.String getPropertyAsString(java.lang.String infoType)

    - #### getPropertyAsString

          java.lang.String getPropertyAsString(java.lang.String infoType,
                                               java.lang.String paramInfo)

    - #### getPropertyAsJSON

          java.lang.String getPropertyAsJSON(java.lang.String infoType)

    - #### getPropertyAsJSON

          java.lang.String getPropertyAsJSON(java.lang.String infoType,
                                             java.lang.String paramInfo)

    - #### getProperty

          java.lang.Object getProperty(java.lang.String infoType,
                                       java.lang.String paramInfo)

    - #### loadInlineString

          java.lang.String loadInlineString(java.lang.String strModel,
                                            java.lang.String script,
                                            boolean isAppend)

    - #### loadInlineArray

          java.lang.String loadInlineArray(java.lang.String[] strModels,
                                           java.lang.String script,
                                           boolean isAppend)

    - #### loadDOMNode

          java.lang.String loadDOMNode(java.lang.Object DOMNode)

    - #### notifyAudioEnded

          void notifyAudioEnded(java.lang.Object htParams)

    - #### loadInline

          @Deprecated
          java.lang.String loadInline(java.lang.String strModel)

      Deprecated.
      Parameters:
        `strModel` -
      Returns:
        error or null

    - #### loadInline

          @Deprecated
          java.lang.String loadInline(java.lang.String[] strModels)

      Deprecated.
      Parameters:
        `strModels` -
      Returns:
        error or null

    - #### loadInline

          @Deprecated
          java.lang.String loadInline(java.lang.String strModel,
                                                  java.lang.String script)

      Deprecated.
      Parameters:
        `strModel` -
        `script` -
      Returns:
        error or null

    - #### loadInline

          @Deprecated
          java.lang.String loadInline(java.lang.String[] strModels,
                                                  java.lang.String script)

      Deprecated.
      Parameters:
        `strModels` -
        `script` -
      Returns:
        error or null